procedure FormToSettings(var Settings:TSettings);
  procedure ImportFilter(var dest:TFilter;chk:TCheckBox;frq:TEdit);
  var r:integer;
  begin
    dest.Enabled:=chk.Checked;
    val(frq.Text,dest.Freq,r);
    if r<>0 then dest.Enabled:=false;
  end;
begin
  with MainForm,Settings do begin
/// EncMode
    EncMode:=CBR;
    if SMABR.Checked then EncMode:=ABR;
    if SMVBRold.Checked then EncMode:=VBR_old;
    if SMVBRmix.Checked then EncMode:=VBR_mtrh;
    if SMVBRnew.Checked then EncMode:=VBR_new;
/// Channels
    Channels:=Auto;
    if SCMono.Checked then Channels:=Mono;
    if SCStereo.Checked then Channels:=Stereo;
    if SCJS.Checked then Channels:=Joint;
    if SCForce.Checked then Channels:=ForceJS;
    if SCJSAuto.Checked then Channels:=AutoJS;
/// Quality
    Quality:=SQuality.Position;
/// CBRRate
    CBRRate:=SCBRRate.ItemIndex;
/// VBRSettings
    with VBRSettings do begin
      MinRate:=SVBRMin.ItemIndex;
      MaxRate:=SVBRMax.ItemIndex;
      HardLimit:=SVBRForce.Checked;
      AddTag:=SVBRTag.Checked;
      Quality:=SVBRQual.Position;
    end;
/// SampleRate
    SampleRate:=0;
    if not SRateAuto.Checked then begin
      if SRateA1.Checked then SampleRate:=7;
      if SRateA2.Checked then SampleRate:=4;
      if SRateA4.Checked then SampleRate:=1;
      if SRateB1.Checked then SampleRate:=8;
      if SRateB2.Checked then SampleRate:=5;
      if SRateB4.Checked then SampleRate:=2;
      if SRateC1.Checked then SampleRate:=9;
      if SRateC2.Checked then SampleRate:=6;
      if SRateC4.Checked then SampleRate:=3;
    end;
/// FilterSettings
    with FilterSettings do begin
      NoFilters:=SNoFilters.Checked;
      ImportFilter(Lowpass,SFLPen,SFLPfreq);
      ImportFilter(LowpassWidth,SFLPWen,SFLPWfreq);
      ImportFilter(Highpass,SFHPen,SFHPfreq);
      ImportFilter(HighpassWidth,SFHPWen,SFHPWfreq);
    end;
/// MaskOptions
    with MaskOptions do begin
      ATHOnly:=SATHOnly.Checked;
      NoShortBlocks:=SNoShort.Checked;
      VoiceMode:=SVoice.Checked;
    end;
/// StreamOptions
    with StreamOptions do begin
      Original:=SOriginal.Checked;
      Copyrighted:=SCopyrighted.Checked;
      AddCRC:=SCRC.Checked;
      UseBitRes:=SRes.Checked;
      FreeForm:=SFreeForm.Checked;
      StrictISO:=SStrictISO.Checked;
    end;
  end;
end;
