procedure SettingsToForm(const Settings:TSettings);
  procedure ImportFilter(const f:TFilter;e:TCheckBox;v:TEdit);
  begin
    e.Checked:=f.Enabled;
    v.Text:=IntToStr(f.Freq);
  end;
begin
  with MainForm,Settings do begin
/// EncMode
    case EncMode of
      ABR:SMABR.Checked:=true;
      VBR_old:SMVBRold.Checked:=true;
      VBR_mtrh:SMVBRmix.Checked:=true;
      VBR_new:SMVBRnew.Checked:=true;
    else
      SMCBR.Checked:=true;
    end;
/// Channels
    case Channels of
      Mono:SCMono.Checked:=true;
      Stereo:SCStereo.Checked:=true;
      Joint:SCJS.Checked:=true;
      ForceJS:SCForce.Checked:=true;
      AutoJS:SCJSAuto.Checked:=true;
    else
      SCAuto.Checked:=true;
    end;
/// Quality
    SQuality.Position:=Quality;
/// CBRRate
    SCBRRate.ItemIndex:=CBRRate;
/// VBRSettings
    with VBRSettings do begin
      SVBRMin.ItemIndex:=MinRate;
      SVBRMax.ItemIndex:=MaxRate;
      SVBRForce.Checked:=HardLimit;
      SVBRTag.Checked:=AddTag;
      SVBRQual.Position:=Quality;
    end;
/// SampleRate
    SRateAuto.Checked:=false;
    case SampleRate of
      1:SRateA4.Checked:=true;
      2:SRateB4.Checked:=true;
      3:SRateC4.Checked:=true;
      4:SRateA2.Checked:=true;
      5:SRateB2.Checked:=true;
      6:SRateC2.Checked:=true;
      7:SRateA1.Checked:=true;
      8:SRateB1.Checked:=true;
      9:SRateC1.Checked:=true;
    else
      SRateAuto.Checked:=true;
    end;
/// FilterSettings
    with FilterSettings do begin
      SNoFilters.Checked:=NoFilters;
      ImportFilter(Lowpass,SFLPen,SFLPfreq);
      ImportFilter(LowpassWidth,SFLPWen,SFLPWfreq);
      ImportFilter(Highpass,SFHPen,SFHPfreq);
      ImportFilter(HighpassWidth,SFHPWen,SFHPWfreq);
    end;
/// MaskOptions
    with MaskOptions do begin
      SATHOnly.Checked:=ATHOnly;
      SNoShort.Checked:=NoShortBlocks;
      SVoice.Checked:=VoiceMode;
    end;
/// StreamOptions
    with StreamOptions do begin
      SOriginal.Checked:=Original;
      SCopyrighted.Checked:=Copyrighted;
      SCRC.Checked:=AddCRC;
      SRes.Checked:=UseBitRes;
      SFreeForm.Checked:=FreeForm;
      SStrictISO.Checked:=StrictISO;
    end;
  end;
end;
